package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * @author XinYi Song
 */
@Entity
@Table(name = "county")
public class CountyEntity {
    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "city_seq_gen")
    @SequenceGenerator(name = "city_seq_gen", sequenceName = "city_id_seq",allocationSize = 1)
    private Integer id;

    /**
     * 区县编码
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String countyCode;

    /**
     * 区县名称
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String countyName;

    /**
     * 城市编码
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String cityCode;

    /**
     * 城市名称
     */
    @Column(length = 65, columnDefinition = "varchar(65)")
    private String cityName;

    public CountyEntity() {
    }

    public CountyEntity(Integer id, String countyCode, String countyName, String cityCode, String cityName) {
        this.id = id;
        this.countyCode = countyCode;
        this.countyName = countyName;
        this.cityCode = cityCode;
        this.cityName = cityName;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCountyCode() {
        return countyCode;
    }

    public void setCountyCode(String countyCode) {
        this.countyCode = countyCode;
    }

    public String getCountyName() {
        return countyName;
    }

    public void setCountyName(String countyName) {
        this.countyName = countyName;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    @Override
    public String toString() {
        return "CountyEntity{" +
                "id=" + id +
                ", countyCode='" + countyCode + '\'' +
                ", countyName='" + countyName + '\'' +
                ", cityCode='" + cityCode + '\'' +
                ", cityName='" + cityName + '\'' +
                '}';
    }
}
