package com.xkrs.weather.controller;

import com.xkrs.weather.entity.WeatherResponse;
import com.xkrs.weather.service.WeatherDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author XinYi Song
 */
@RestController
@RequestMapping(value = "/weather")
public class WeatherController {

    @Autowired
    private WeatherDataService weatherDataService;

    @GetMapping("/cityId")
    public WeatherResponse getWeatherByCityId(@RequestParam("cityId") String cityId){
        return weatherDataService.getDataByCityId(cityId);
    }

    @GetMapping("/cityName")
    public WeatherResponse getWeatherByCityName(@RequestParam("cityName") String cityName){
        return weatherDataService.getDataByCityName(cityName);
    }

}
